=== docfilekcm/CMakeLists.txt ===

install(FILES ../documentation_src/introspection/introspect.py
        DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport/scripts)
