## kdevelop-python 1.5.0

=== debian/changelog ===
kdevelop-python (1.5.0-0~precise1) precise; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Fri, 10 May 2013 11:00:31 +0100

kdevelop-python (1.4.1+git20130324-0~precise2) precise; urgency=low

  * New git

 -- falkTX <falktx@gmail.com>  Sun, 24 Mar 2013 02:31:15 +0000

kdevelop-python (1.4.1+git20130312-0~precise1) precise; urgency=low

  * New git

 -- falkTX <falktx@gmail.com>  Tue, 12 Mar 2013 16:56:51 +0000

kdevelop-python (1.4.1+git20130206-0~precise1) precise; urgency=low

  * New git

 -- falkTX <falktx@gmail.com>  Wed, 06 Feb 2013 17:51:07 +0000

kdevelop-python (1.4.1+git20130126-0~precise1) precise; urgency=low

  * New git, build against new kdevplatform
  * Rename package

 -- falkTX <falktx@gmail.com>  Sat, 26 Jan 2013 18:59:22 +0000

kdev-python (1.4.1+git20130122-0~precise2) precise; urgency=low

  * Update to latest git

 -- falkTX <falktx@gmail.com>  Tue, 22 Jan 2013 17:56:50 +0000

kdev-python (1.4.1-0~precise1) precise; urgency=low

  * Initial release

 -- falkTX <falktx@gmail.com>  Tue, 15 May 2012 01:49:53 +0100
