=== debian/control ===
Source: kdevelop-python
Section: devel
Priority: extra
Maintainer: falkTX <falktx@gmail.com>
Build-Depends: debhelper (>= 7), cmake, python-all-dev, python3-all-dev,
  kdevelop-pg-qt (>= 1.0.0),
  kdevplatform-dev (>= 1.5.0),
  pkg-kde-tools (>= 0.6.4),
  libqtwebkit-dev
Standards-Version: 3.8.4

Package: kdevelop-python
Architecture: any
Depends: kdevelop, ${misc:Depends}, ${shlibs:Depends}
Enhances: kdevelop
Description: Python plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the Python language support plugin.
