## kdevelop-python 1.7.0

=== debian/changelog ===
kdevelop-python (1.7.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  [ Andreas Cord-Landwehr ]
  * Initial release (Closes: #718296)

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2014 23:59:35 +0200
