=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=kdevelop-python-dbg

.PHONY: override_dh_auto_test
