## kdevelop-python 1.7.2

=== debian/changelog ===
kdevelop-python (1.7.2-2b1) staging; urgency=medium

  * No-change rebuild for Python 3.4 removal.

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Sat, 01 Oct 2016 18:27:05 +0200

kdevelop-python (1.7.2-2) unstable; urgency=medium

  * Backport upstream commit b54654be20cfd52cf121784f8a5dd6e77bc4767b to fix
    detection of the Python library on archs different than amd64 & i386;
    patch upstream_cmake-use-CMAKE_LIBRARY_ARCHITECTURE.patch.

 -- Pino Toscano <pino@debian.org>  Fri, 22 Jan 2016 08:27:27 +0100

kdevelop-python (1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Bump kdevplatform-dev build dependency to >= 1.7.2.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Explicitly use python3.4(-dev): kdev-python seems to require this
    particular version, so use it as stop-gap measure to make this plugin
    buildable and usable again. (Closes: #810750)
  * Backport upstream commit 673a4890fd3becfab22c1e9eda2071dafd08a161 to fix
    the macro of the Python executable; patch
    upstream_fix-cmake-macro-name-of-python-executable.patch.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2016 23:45:57 +0100
