=== debian/watch ===
version=3
http://download.kde.org/stable/kdevelop/([\d.]+)/src/kdev-python-([\d.]+)-py3.tar.xz
