## kdevelop-python 5.0.3

=== debian/changelog ===
kdevelop-python (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Bump releated build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jan 2017 17:46:06 -0300

kdevelop-python (5.0.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add missing epoch in the kdevelop-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 23:09:23 +0200

kdevelop-python (5.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump the kdevplatform-dev, and kdevelop-dev build dependencies to >= 5.0.1.
  * Bump kdevelop dependency in kdevelop-python to >= 5.0.1.
  * Recommend pycodestyle, and python-autopep8, as they can be used for
    checking and fixing Python sources.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 07:38:22 +0200

kdevelop-python (5.0-1) experimental; urgency=medium

  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - add extra-cmake-modules, qtbase5-dev, libkf5i18n-dev,
      libkf5itemmodels-dev, libkf5kcmutils-dev, libkf5newstuff-dev,
      libkf5texteditor-dev, and libkf5threadweaver-dev
  * Bump build dependencies according to the upstream build system:
    - bump cmake to >= 2.8.12
    - bump kdevplatform-dev to >= 5.0
  * Update the Python (build) dependencies according to the new supported
    version: (Closes: #820186)
    - switch the python3.4-dev build dependency to python3.5-dev
    - switch the python3.4 dependency to python3.5
  * Add the kdevelop-dev build dependency.
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Disable building of unit tests, as long as they are not run.
  * Bump kdevelop dependency in kdevelop-python to >= 5.0.
  * Update install files.
  * Update lintian overrides.
  * Remove extra COPYING files; the only one currently is just a stub.
  * Split the growing set of data files into a new kdevelop-python-data.

 -- Pino Toscano <pino@debian.org>  Thu, 01 Sep 2016 23:14:05 +0200

kdevelop-python (1.7.3-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump kdevplatform-dev build dependency accordingly.
  * Improve debian/watch to search for different compression methods in
    tarballs and to repack the tarball with xz compression if necessary.
  * Remove existing patches, they are already applied upstream.

  [ Pino Toscano ]
  * Remove kdevelop-python-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jun 2016 23:09:15 +0200
