=== debian/control ===
Source: kdevelop-python
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.9),
               qtbase5-dev,
               libkf5i18n-dev,
               libkf5itemmodels-dev,
               libkf5kcmutils-dev,
               libkf5newstuff-dev,
               libkf5texteditor-dev,
               libkf5threadweaver-dev,
               kdevplatform-dev (>= 5.0.3),
               kdevelop-dev (>= 4:5.0.3),
               pkg-kde-tools (>= 0.15.16),
               python3.5-dev,
Standards-Version: 3.9.8
Homepage: http://www.kdevelop.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-python.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-python.git

Package: kdevelop-python
Architecture: any
Depends: kdevelop (>= 4:5.0.1), python3.5,
 kdevelop-python-data (>= ${source:Version}),
 ${misc:Depends}, ${shlibs:Depends}
Recommends: pycodestyle, python-autopep8
Suggests: kdevelop-python-l10n
Enhances: kdevelop
Description: Python 3 plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the Python 3 language support plugin.

Package: kdevelop-python-data
Architecture: all
Depends: ${misc:Depends}
Description: Python 3 plugin for KDevelop - data files
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the data files for Python 3 language support plugin.

Package: kdevelop-python-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: localization files for KDevelop Python 3 plugin
 The KDevelop-Python plugin is the language plugin for the Python 3 language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop Python 3 plugin.
