## kdevelop-python 5.0.4

=== debian/changelog ===
kdevelop-python (5.0.4-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release (5.0.4)
  * Sync with debian: remaining changes:
    - Transitional package and breaks/replaces for kdev-python

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 15 Mar 2017 09:29:39 +0000

kdevelop-python (5.0.3-0ubuntu1) UNRELEASED; urgency=medium

  * Merged with Debian
  * New upstream release (5.0.1)
  * Update VCS to point to LaunchPad git repo
  * Update Vcs-Git fields to use https:// instead of git://
  * Fixing file paths in install
  * New upstream release (5.0.2)
  * New upstream release (5.0.3)
  * Adding transitional dummy package kdev-python
  * Wild card plugin versions, thanks to kfunk for the idea

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 15 Dec 2016 23:32:54 +0000

kdev-python (1.7.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release.
  * Add conflict to python3 version. 
  * Release to Archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 06 Mar 2016 10:05:54 -0800

kdev-python (1.7.1-0ubuntu1) vivid; urgency=medium

  * Release to Archive 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Mar 2015 19:07:38 -0700

kdev-python (1.7.0-0ubuntu2) utopic; urgency=medium

  * Add build-depends on python, needed for compile on arm64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 30 Sep 2014 11:10:02 +0200

kdev-python (1.7.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 16 Sep 2014 14:07:38 -0700

kdev-python (1.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1259220)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 09 Dec 2013 19:04:34 +0100

kdev-python (1.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1201742)
  * Update copyright 
  * Remove duplicated libpython2.7-kdevelop.so as it's not needed
  * Improve package description

 -- Philip MuÅ¡kovac <yofel@kubuntu.org>  Tue, 16 Jul 2013 11:43:24 +0200

kdev-python (1.5.0-0ubuntu2) saucy; urgency=low

  * Add build-dep on libqtwebkit-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 31 May 2013 17:46:40 +0100

kdev-python (1.5.0-0ubuntu1) saucy; urgency=low

  * Initial release LP: #1176225

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 May 2013 16:54:48 +0100
