=== debian/control ===
--- 
+++ 
@@ -7,27 +7,31 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 0.0.9),
-               qtbase5-dev,
+               kdevelop-dev (>= 4:5.0.4),
+               kdevplatform-dev (>= 5.0.4),
                libkf5i18n-dev,
                libkf5itemmodels-dev,
                libkf5kcmutils-dev,
                libkf5newstuff-dev,
                libkf5texteditor-dev,
                libkf5threadweaver-dev,
-               kdevplatform-dev (>= 5.0.3),
-               kdevelop-dev (>= 4:5.0.3),
                pkg-kde-tools (>= 0.15.16),
                python3.5-dev,
+               qtbase5-dev
 Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-python.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-python.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
 
 Package: kdevelop-python
 Architecture: any
-Depends: kdevelop (>= 4:5.0.1), python3.5,
- kdevelop-python-data (>= ${source:Version}),
- ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:5.0.1),
+         kdevelop-python-data (>= ${source:Version}),
+         python3.5,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: kdev-python (<< 1.7.3)
+Replaces: kdev-python (<< 1.7.3)
 Recommends: pycodestyle, python-autopep8
 Suggests: kdevelop-python-l10n
 Enhances: kdevelop
@@ -41,6 +45,8 @@
 Package: kdevelop-python-data
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: kdev-python (<< 1.7.3)
+Replaces: kdev-python (<< 1.7.3)
 Description: Python 3 plugin for KDevelop - data files
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
@@ -52,8 +58,19 @@
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: kdev-python (<< 1.7.3)
+Replaces: kdev-python (<< 1.7.3)
 Description: localization files for KDevelop Python 3 plugin
  The KDevelop-Python plugin is the language plugin for the Python 3 language
  for the KDevelop integrated development environment for KDE.
  .
  This  package contains the localizations for the KDevelop Python 3 plugin.
+
+Package: kdev-python
+Architecture: any
+Priority: extra
+Depends: kdevelop-python
+Breaks: kdev-python (<< 1.7.3)
+Replaces: kdev-python (<< 1.7.3)
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
