## kdevelop-python 5.1.2

=== debian/changelog ===
kdevelop-python (5.1.2-1ubuntu1) artful; urgency=medium

  * Sync with debian: remaining changes:
    - Transitional package and breaks/replaces for kdev-python
    - wrap-and-sort

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 30 Aug 2017 08:07:39 +0100

kdevelop-python (5.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Bump the kdevplatform-dev, kdevelop-dev, and kdevelop build & runtime
    dependencies to 5.1.2.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Aug 2017 21:15:30 +0200

kdevelop-python (5.1.2-0ubuntu1) artful; urgency=medium

  * New upstream bugfix release (5.1.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 30 Aug 2017 00:15:31 +0100

kdevelop-python (5.1.1-1ubuntu1) artful; urgency=medium

  * Sync with debian: remaining changes:
    - Transitional package and breaks/replaces for kdev-python

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 06 Jul 2017 22:15:45 +0100

kdevelop-python (5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevplatform-dev, kdevelop-dev, and kdevelop build & runtime
    dependencies to 5.1.1.
  * Update the Python (build) dependencies according to the new supported
    version:
    - switch the python3.5-dev build dependency to python3.6-dev
    - switch the python3.5 dependency to python3.6
  * Update install files.
  * Bump Standards-Version to 4.0.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Jul 2017 12:08:19 +0200

kdevelop-python (5.1.1-0ubuntu1) artful; urgency=medium

  * New upstream release (5.1.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 27 May 2017 14:36:47 +0100

kdevelop-python (5.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.1.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 22 Apr 2017 22:36:03 +0100
