=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 0.0.9),
-               kdevelop-dev (>= 4:5.0.4),
-               kdevplatform-dev (>= 5.0.4),
+               kdevelop-dev (>= 4:5.1.2),
+               kdevplatform-dev (>= 5.1.2),
                libkf5i18n-dev,
                libkf5itemmodels-dev,
                libkf5kcmutils-dev,
@@ -16,18 +16,18 @@
                libkf5texteditor-dev,
                libkf5threadweaver-dev,
                pkg-kde-tools (>= 0.15.16),
-               python3.5-dev,
+               python3.6-dev,
                qtbase5-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
 
 Package: kdevelop-python
 Architecture: any
-Depends: kdevelop (>= 4:5.0.1),
+Depends: kdevelop (>= 4:5.1.2),
          kdevelop-python-data (>= ${source:Version}),
-         python3.5,
+         python3.6,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: kdev-python (<< 1.7.3)
