## kdevelop-python 5.2.1

=== debian/changelog ===
kdevelop-python (5.2.1-1ubuntu1) bionic; urgency=medium

  * Sync with debian: remaining changes:
    - Transitional package and breaks/replaces for kdev-python

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 09:22:55 +0000

kdevelop-python (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.2.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Nov 2017 07:22:55 +0100

kdevelop-python (5.2.0-1ubuntu1) bionic; urgency=medium

  * Sync with debian: remaining changes:
    - Transitional package and breaks/replaces for kdev-python

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 Nov 2017 21:23:24 +0000

kdevelop-python (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop the kdevplatform-dev build dependency, following the kdevplatform
    merge in kdevelop.
  * Change other build dependencies according to the upstream build system:
    - bump cmake to >= 3.0
    - bump qtbase-dev to >= 5.5.0
    - bump ECM and Frameworks to >= 5.15.0
  * Update install files.
  * Switch the watch file to https.
  * Switch Homepage to https.
  * Turn the versioned kdevelop dependency into a simple recommend, as it
    should be enough.
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2017 14:29:29 +0100

kdevelop-python (5.1.80-0ubuntu1) UNRELEASED; urgency=medium

  * Update versions in lib install paths
  * Remove kdevplatform build depend now this is merged into
  * New upstream beta release (5.1.80)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 03 Sep 2017 01:07:04 +0100
