=== debian/control ===
--- 
+++ 
@@ -4,35 +4,30 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: cmake (>= 3.0),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.9),
-               kdevelop-dev (>= 4:5.1.2),
-               kdevplatform-dev (>= 5.1.2),
-               libkf5i18n-dev,
-               libkf5itemmodels-dev,
-               libkf5kcmutils-dev,
-               libkf5newstuff-dev,
-               libkf5texteditor-dev,
-               libkf5threadweaver-dev,
+               extra-cmake-modules (>= 5.15.0),
+               qtbase5-dev (>= 5.5.0),
+               libkf5i18n-dev (>= 5.15.0),
+               libkf5itemmodels-dev (>= 5.15.0),
+               libkf5kcmutils-dev (>= 5.15.0),
+               libkf5newstuff-dev (>= 5.15.0),
+               libkf5texteditor-dev (>= 5.15.0),
+               libkf5threadweaver-dev (>= 5.15.0),
+               kdevelop-dev (>= 4:5.2.1),
                pkg-kde-tools (>= 0.15.16),
                python3.6-dev,
-               qtbase5-dev
-Standards-Version: 4.1.0
-Homepage: http://www.kdevelop.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
+Standards-Version: 4.1.1
+Homepage: https://www.kdevelop.org/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-python.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-python.git
 
 Package: kdevelop-python
 Architecture: any
-Depends: kdevelop (>= 4:5.1.2),
-         kdevelop-python-data (>= ${source:Version}),
-         python3.6,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: kdev-python (<< 1.7.3)
-Replaces: kdev-python (<< 1.7.3)
-Recommends: pycodestyle, python-autopep8
+Depends: python3.6,
+ kdevelop-python-data (>= ${source:Version}),
+ ${misc:Depends}, ${shlibs:Depends}
+Recommends: kdevelop, pycodestyle, python-autopep8
 Suggests: kdevelop-python-l10n
 Enhances: kdevelop
 Description: Python 3 plugin for KDevelop
