=== debian/watch ===
version=3
https://download.kde.org/stable/kdevelop/([\d.]+)/src/kdev-python-([\d.]+)\.tar\.xz
