=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pino Toscano <pino@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.15.0),
                qtbase5-dev (>= 5.5.0),
                libkf5i18n-dev (>= 5.15.0),
@@ -14,13 +14,13 @@
                libkf5newstuff-dev (>= 5.15.0),
                libkf5texteditor-dev (>= 5.15.0),
                libkf5threadweaver-dev (>= 5.15.0),
-               kdevelop-dev (>= 4:5.2.1),
+               kdevelop-dev (>= 4:5.2.4),
                pkg-kde-tools (>= 0.15.16),
                python3.6-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.2.0
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-python.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-python.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git
 
 Package: kdevelop-python
 Architecture: any
@@ -40,8 +40,6 @@
 Package: kdevelop-python-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdev-python (<< 1.7.3)
-Replaces: kdev-python (<< 1.7.3)
 Description: Python 3 plugin for KDevelop - data files
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
@@ -53,19 +51,8 @@
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdev-python (<< 1.7.3)
-Replaces: kdev-python (<< 1.7.3)
 Description: localization files for KDevelop Python 3 plugin
  The KDevelop-Python plugin is the language plugin for the Python 3 language
  for the KDevelop integrated development environment for KDE.
  .
  This  package contains the localizations for the KDevelop Python 3 plugin.
-
-Package: kdev-python
-Architecture: any
-Priority: extra
-Depends: kdevelop-python
-Breaks: kdev-python (<< 1.7.3)
-Replaces: kdev-python (<< 1.7.3)
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
