## kdevelop-python 5.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # write the plugin version to a file
 set(KDEVPYTHON_VERSION_MAJOR 5)
-set(KDEVPYTHON_VERSION_MINOR 2)
+set(KDEVPYTHON_VERSION_MINOR 3)
 set(KDEVPYTHON_VERSION_PATCH 1)
 
 # KDevplatform dependency version
@@ -13,16 +13,24 @@
 set(CMAKE_MODULE_PATH ${kdevpython_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+
 include(GenerateExportHeader)
-include(CMakePackageConfigHelpers)
 
 include(ECMAddTests)
-include(ECMOptionalAddSubdirectory)
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
 
-include(KDEInstallDirs)
-include(KDECMakeSettings)
+if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
+    # Avoids bogus warnings with CMake 3.10+
+    list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "K_PLUGIN_FACTORY_WITH_JSON")
+endif()
+if(POLICY CMP0071)
+    # Avoids compat messages from CMake 3.10+, with Qt < 5.9.4
+    # See https://bugreports.qt.io/browse/QTBUG-63442
+    cmake_policy(SET CMP0071 OLD)
+endif()
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
@@ -32,7 +40,7 @@
 
 # CMake looks for exactly the specified version first and ignores newer versions.
 # To avoid that, start looking for the newest supported version and work down.
-set(Python_ADDITIONAL_VERSIONS 3.6 3.5 3.4)
+set(Python_ADDITIONAL_VERSIONS 3.7 3.6 3.5 3.4)
 foreach(_PYTHON_V ${Python_ADDITIONAL_VERSIONS})
     find_package(PythonInterp ${_PYTHON_V})
     if ( PYTHONINTERP_FOUND )
@@ -50,19 +58,21 @@
 endif()
 
 if ( NOT PYTHONLIBS_FOUND OR PYTHONLIBS_VERSION_STRING VERSION_LESS "3.4.3" )
-    message(FATAL_ERROR "Python >= 3.4.3 but < 3.7 with --enable-shared is required to build kdev-python")
+    message(FATAL_ERROR "Python >= 3.4.3 but < 3.8 with --enable-shared is required to build kdev-python")
 endif()
 
-configure_file( "${kdevpython_SOURCE_DIR}/kdevpythonversion.h.cmake" "${kdevpython_BINARY_DIR}/kdevpythonversion.h" @ONLY )
+configure_file(kdevpythonversion.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/kdevpythonversion.h" @ONLY)
 
 set(QT_MIN_VERSION "5.5.0")
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Test)
 set(KF5_DEP_VERSION "5.15.0")
-find_package(KF5 ${KF5_DEP_VERSION} REQUIRED I18n NewStuff ItemModels ThreadWeaver TextEditor KCMUtils)
-find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
+find_package(KF5 ${KF5_DEP_VERSION} REQUIRED
+    I18n
+    ThreadWeaver
+    TextEditor
+)
+find_package(KDevPlatform ${KDEVPLATFORM_VERSION} CONFIG REQUIRED)
 find_package(KDevelop ${KDEVPLATFORM_VERSION} REQUIRED)
-
-enable_testing()
 
 if ( NOT WIN32 )
     set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wfatal-errors -Wall")
@@ -102,12 +112,12 @@
 ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
     HEADER codegendebug.h
     IDENTIFIER KDEV_PYTHON_CODEGEN
-    CATEGORY_NAME "kdevelop.languages.python.codegen"
+    CATEGORY_NAME "kdevelop.plugins.python.codegen"
 )
 ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
     HEADER pythondebug.h
     IDENTIFIER KDEV_PYTHON
-    CATEGORY_NAME "kdevelop.languages.python"
+    CATEGORY_NAME "kdevelop.plugins.python"
 )
 
 ki18n_wrap_ui(kdevpythonlanguagesupport_PART_SRCS
@@ -124,7 +134,6 @@
     KDev::Util
     KF5::ThreadWeaver
     KF5::TextEditor
-    KF5::NewStuff
     kdevpythoncompletion
     kdevpythonparser
     kdevpythonduchain
@@ -133,9 +142,11 @@
 get_target_property(DEFINESANDINCLUDES_INCLUDE_DIRS KDev::DefinesAndIncludesManager INTERFACE_INCLUDE_DIRECTORIES)
 include_directories(${DEFINESANDINCLUDES_INCLUDE_DIRS})
 
-install(DIRECTORY documentation_files DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
-install(DIRECTORY correction_files DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
-install(FILES codestyle.py DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
+install(DIRECTORY documentation_files DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)
+install(DIRECTORY correction_files DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)
+install(FILES codestyle.py DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)
+
+install(FILES org.kde.kdev-python.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 # kdebugsettings file
 install(FILES kdevpythonsupport.categories DESTINATION ${KDE_INSTALL_CONFDIR})
