=== debian/changelog ===
kdevelop-python (5.3.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Replace the python-autopep8 (Python 2) recommend with python3-autopep8
    (Python 3).

 -- Pino Toscano <pino@debian.org>  Thu, 20 Dec 2018 22:40:02 +0100

kdevelop-python (5.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Dec 2018 21:06:16 +0100

kdevelop-python (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.0, as indicated by the
    upstream build system.
  * Update install files.
  * Update the Python (build) dependencies according to the new supported
    version:
    - switch the python3.6-dev build dependency to python3.7-dev
    - switch the python3.6 dependency to python3.7
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Nov 2018 07:58:47 +0100
