=== debian/control ===
--- 
+++ 
@@ -14,20 +14,20 @@
                libkf5newstuff-dev (>= 5.15.0),
                libkf5texteditor-dev (>= 5.15.0),
                libkf5threadweaver-dev (>= 5.15.0),
-               kdevelop-dev (>= 4:5.2.4),
+               kdevelop-dev (>= 4:5.3.1),
                pkg-kde-tools (>= 0.15.16),
-               python3.6-dev,
-Standards-Version: 4.2.0
+               python3.7-dev,
+Standards-Version: 4.2.1
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git
 
 Package: kdevelop-python
 Architecture: any
-Depends: python3.6,
+Depends: python3.7,
  kdevelop-python-data (>= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}
-Recommends: kdevelop, pycodestyle, python-autopep8
+Recommends: kdevelop, pycodestyle, python3-autopep8
 Suggests: kdevelop-python-l10n
 Enhances: kdevelop
 Description: Python 3 plugin for KDevelop
