=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5newstuff-dev (>= 5.15.0),
                libkf5texteditor-dev (>= 5.15.0),
                libkf5threadweaver-dev (>= 5.15.0),
-               kdevelop-dev (>= 4:5.3.1),
+               kdevelop-dev (>= 4:5.3.2),
                pkg-kde-tools (>= 0.15.16),
                python3.7-dev,
 Standards-Version: 4.2.1
